Subject: Re: [PATCH] check_refname_component: Optimize

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 May 2014 09:36:33 -0700

Duy Nguyen <[email-masked]> writes:

> On Thu, May 29, 2014 at 6:49 AM, David Turner <[email-masked]> wrote:
>>> I assume that most of the time spent in check_refname_component() is
>>> while reading the packed-refs file, right?
>>
>> Yes.
>
> I wonder if we can get away without SSE code by saving stat info of
> the packed-refs version that we have verified. When we read pack-refs,
> if stat info matches, skip check_refname_component(). Assuming that
> pack-refs does not change often, of course.

Can you elaborate a bit more?

Regardless, I think I would prefer to see this patch done as at
least a two step series, one that does only the look-up table thing,
and then the other with arch-specific tweaks as a follow-up on top.